%global oname	PySocks

Name:		python-pysocks
Summary:	A Python SOCKS client module
Version:	1.7.1
Release:	%mkrel 8
Group:		Development/Python
License:	BSD
URL:		https://github.com/Anorov/PySocks
Source0:	https://files.pythonhosted.org/packages/source/p/pysocks/%{oname}-%{version}.tar.gz
Patch0:         0001-Fix-setup.patch
BuildArch:	noarch
BuildRequires:  python3-devel

%description
A Python SOCKS client module.

%package -n python3-pysocks
Summary:	A Python3 SOCKS client module
Group:		Development/Python
%{?python_provide:%python_provide python3-pysocks}

%description -n python3-pysocks
A Python 3 SOCKS client module.

%prep
%autosetup -n %{oname}-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sockshandler socks

%files -n python3-pysocks -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Mon Dec 25 2023 papoteur <papoteur> 1.7.1-8.mga10
+ Revision: 2021234
- fix setup.py

* Thu Dec 14 2023 papoteur <papoteur> 1.7.1-7.mga10
+ Revision: 2018060
- rebuild for python3.12
- adapt to pyproject

* Sat Dec 09 2023 wally <wally> 1.7.1-6.mga10
+ Revision: 2016473
- rebuild for py3.12

* Wed Mar 23 2022 umeabot <umeabot> 1.7.1-5.mga9
+ Revision: 1822891
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 1.7.1-4.mga9
+ Revision: 1775646
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 1.7.1-3.mga9
+ Revision: 1707314
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.7.1-2.mga8
+ Revision: 1534271
- Mageia 8 Mass Rebuild

* Tue Oct 01 2019 wally <wally> 1.7.1-1.mga8
+ Revision: 1448704
- new version 1.7.1
- drop python2 support

* Sat Jul 06 2019 wally <wally> 1.7.0-1.mga8
+ Revision: 1418929
- new version 1.7.0

* Thu Jan 10 2019 shlomif <shlomif> 1.6.8-3.mga7
+ Revision: 1354006
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.6.8-2.mga7
+ Revision: 1289804
- Mageia 7 Mass Rebuild
+ wally <wally>
- add license

* Sun Feb 11 2018 wally <wally> 1.6.8-1.mga7
+ Revision: 1200406
- imported package python-pysocks

